#ifndef __PLAYER_H__
#define __PLAYER_H__

#include <allegro.h>
#include "collide.h"

class Player
{
    public:
	Player();
	~Player();

	void SetBitmap(BITMAP *bmp);
	void Draw(BITMAP *bmp); 

	CMask *GetMask();

	void AddX(float how);
	float X();
	float Y();

	void ResetPos();
	void Reset();

	void AddScore(int num);
	int GetScore();

	void AddLife();
	void RemoveLife();
	int GetLives();
	bool Alive();

	void SubEnergy(int num);
	int GetEnergy();
	void SetEnergy(int num);

	const Player &Player::operator=(const Player &src);

    private:
	BITMAP *player;
	CMask *mask;
	float x,y;
	int score;
	int lives;
	int energy;
};

#endif __PLAYER_H__